using System;
using NinjaTrader.Cbi;

internal sealed class Delegate146 : MulticastDelegate
{
	public extern OrderType Invoke(object object_0);

	public static OrderType smethod_0(object object_0, Delegate146 delegate146_1)
	{
		return delegate146_1(object_0);
	}

	public extern Delegate146(object object_0, IntPtr intptr_0);

	static Delegate146()
	{
		Class10.smethod_13(typeof(Delegate146).TypeHandle);
	}

	internal static Delegate146 delegate146_0;
}
